Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZTemplateCompiledLoop Class Reference
Template system » Template functions

Common code for compiling the loop functions. More...

## Public Member Functions
| __construct ( $name, &$newNodes, $parameters, $nodePlacement, $uniqid, $node, $tpl, $privateData)
| hasSequence ()
| cleanup ()
| createSequenceVars ()
| setCurrentSequenceValue ()
| iterateSequence ()
| processChildren ()
| processBody ()
| initVars ()

## Public Attributes
| $Name
| $Parameters
| $NodePlacement
| $UniqID
| $NewNodes
| $Node
| $Tpl
| $PrivateData

## Private Member Functions
| destroySequenceVars ()

## Detailed Description

Common code for compiling the loop functions.

Definition at line 16 of file eztemplatecompiledloop.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateCompiledLoop::__construct | ( |  | $name,
|  | & | $newNodes,
|  |  | $parameters,
|  |  | $nodePlacement,
|  |  | $uniqid,
|  |  | $node,
|  |  | $tpl,
|  |  | $privateData
| ) |  |

Constructor

Parameters

  string | $name |
  array | $newNodes |
  array | $parameters |
  | $nodePlacement |
  string | $uniqid |
  mixed | $node |
  eZTemplate | $tpl |
  array | $privateData |

Definition at line 30 of file eztemplatecompiledloop.php.

## Member Function Documentation

## ◆ cleanup()

eZTemplateCompiledLoop::cleanup | ( |  | ) |

Destroys PHP and template variables defined by the loop.

Definition at line 53 of file eztemplatecompiledloop.php.

References eZTemplateNodeTool\createCodePieceNode(), destroySequenceVars(), and hasSequence().

## ◆ createSequenceVars()

eZTemplateCompiledLoop::createSequenceVars | ( |  | ) |

Create PHP and template variables representing sequence specified for the loop.

Definition at line 77 of file eztemplatecompiledloop.php.

References $Name, $UniqID, eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createVariableNode(), and hasSequence().

Referenced by initVars().

## ◆ destroySequenceVars()

eZTemplateCompiledLoop::destroySequenceVars | ( |  | ) |
| private

Definition at line 64 of file eztemplatecompiledloop.php.

References $Name, $UniqID, and eZTemplateNodeTool\createVariableUnsetNode().

Referenced by cleanup().

## ◆ hasSequence()

eZTemplateCompiledLoop::hasSequence | ( |  | ) |

Returns true if sequence has been specified for the loop in its parameters.

Definition at line 45 of file eztemplatecompiledloop.php.

Referenced by cleanup(), createSequenceVars(), iterateSequence(), and setCurrentSequenceValue().

## ◆ initVars()

eZTemplateCompiledLoop::initVars | ( |  | ) |

create PHP and template variables needed for the loop.

Definition at line 276 of file eztemplatecompiledloop.php.

References eZTemplateNodeTool\createCodePieceNode(), and createSequenceVars().

## ◆ iterateSequence()

eZTemplateCompiledLoop::iterateSequence | ( |  | ) |

Increments loop sequence.

Definition at line 113 of file eztemplatecompiledloop.php.

References $Name, $UniqID, eZTemplateNodeTool\createCodePieceNode(), and hasSequence().

Referenced by processBody().

## ◆ processBody()

eZTemplateCompiledLoop::processBody | ( |  | ) |

Generates loop body.

Definition at line 262 of file eztemplatecompiledloop.php.

References iterateSequence(), processChildren(), and setCurrentSequenceValue().

## ◆ processChildren()

eZTemplateCompiledLoop::processChildren | ( |  | ) |

Definition at line 137 of file eztemplatecompiledloop.php.

References eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createSpacingDecreaseNode(), eZTemplateNodeTool\createSpacingIncreaseNode(), eZTemplateNodeTool\createVariableNode(), eZTemplateNodeTool\elementConstantValue(), eZTemplateNodeTool\extractFunctionNodeChildren(), eZTemplateNodeTool\extractFunctionNodeParameters(), eZTemplateNodeTool\extractFunctionNodePlacement(), eZTemplateNodeTool\extractNodes(), eZTemplateNodeTool\isConstantElement(), eZTemplate\NODE_FUNCTION, eZTemplateCompiler\processElementTransformationList(), and eZTemplateCompiler\processNodeTransformationNodes().

Referenced by processBody().

## ◆ setCurrentSequenceValue()

eZTemplateCompiledLoop::setCurrentSequenceValue | ( |  | ) |

Export current sequence value to the template variable specified in loop parameters.

Definition at line 96 of file eztemplatecompiledloop.php.

References $Name, $UniqID, eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createVariableNode(), and hasSequence().

Referenced by processBody().

## Member Data Documentation

## ◆ $Name

eZTemplateCompiledLoop::$Name

Definition at line 288 of file eztemplatecompiledloop.php.

Referenced by createSequenceVars(), destroySequenceVars(), iterateSequence(), and setCurrentSequenceValue().

## ◆ $NewNodes

eZTemplateCompiledLoop::$NewNodes

Definition at line 292 of file eztemplatecompiledloop.php.

## ◆ $Node

eZTemplateCompiledLoop::$Node

Definition at line 293 of file eztemplatecompiledloop.php.

## ◆ $NodePlacement

eZTemplateCompiledLoop::$NodePlacement

Definition at line 290 of file eztemplatecompiledloop.php.

## ◆ $Parameters

eZTemplateCompiledLoop::$Parameters

Definition at line 289 of file eztemplatecompiledloop.php.

## ◆ $PrivateData

eZTemplateCompiledLoop::$PrivateData

Definition at line 295 of file eztemplatecompiledloop.php.

## ◆ $Tpl

eZTemplateCompiledLoop::$Tpl

Definition at line 294 of file eztemplatecompiledloop.php.

## ◆ $UniqID

eZTemplateCompiledLoop::$UniqID

Definition at line 291 of file eztemplatecompiledloop.php.

Referenced by createSequenceVars(), destroySequenceVars(), iterateSequence(), and setCurrentSequenceValue().

The documentation for this class was generated from the following file:

- eztemplatecompiledloop.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.